Get block by index

GET
/statechain/blocks/{index}

Path Parameters

index*integer

Height in the state chain. Genesis is 0.

Formatint64
Range0 <= value

Response Body

application/json

application/json

application/json

curl -X GET "https://ldn.core.test.network/statechain/blocks/0"
{
  "index": 0,
  "prev_hash": "f2a3b4c5d6e7a8b9c0d1e2f3a4b5c6d7e8f9a0b1c2d3e4f5a6b7c8d9e0f1a2b3",
  "ops": [
    {
      "action": "set",
      "key": "sys.phase",
      "value": null
    }
  ],
  "timestamp": 0,
  "signatures": [
    {
      "public_key": "a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6e7f8a9b0c1d2e3f4a5b6c7d8e9f0a1b2",
      "signature": "string"
    }
  ],
  "hash": "f2a3b4c5d6e7a8b9c0d1e2f3a4b5c6d7e8f9a0b1c2d3e4f5a6b7c8d9e0f1a2b3"
}
{
  "error": "invalid signature"
}
{
  "error": "invalid signature"
}